Company logoTrust Center Documentation
API v1 ReferenceDocumentsIdVersionsVersionidActivate

Activate a published document version

Marks the specified published version as active and updates the document's status to published/valid. All other versions are marked as inactive.

POST
/api/v1/documents/{id}/versions/{versionId}/activate

Marks the specified published version as active and updates the document's status to published/valid. All other versions are marked as inactive.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Document ID

Formatuuid
versionId*string

Version ID to activate

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/activate"
{  "success": true,  "data": {    "version": {      "id": "c1d915ec-b9d2-4065-92c7-d0fe92ad32be",      "key": "draft_1714502400000",      "name": "Q2 Refresh",      "status": "published",      "is_active": true,      "date_created": "2025-04-30T09:30:00Z",      "date_updated": "2025-05-02T11:05:00Z",      "modified_fields": [        "description",        "file"      ]    }  }}

How is this guide?